#include <iostream>
using namespace std;
int main(){
    int n;
    cin>>n;
    int x[n];
    int y[n];
    int z[n];
    int buta[n];
    int suma=0;
    for(int i=0;i<n;i++){
        x[i]=0;
        z[i]=0;
        buta[i]=0;
    }
    for(int i=0;i<n;i++){
        int d;
        cin>>d;
        x[d-1]++;
    }
    for(int i=0;i<n;i++){
        int d;
        cin>>d;
        y[i]=d-1;
    }
    for(int i=0;i<n;i++){
        int d;
        cin>>d;
        z[d-1]++;
    }
    for(int i=0;i<n;i++){
        buta[y[i]]+=z[i];
    }
    for(int i=0;i<n;i++){
        suma+=buta[i]*x[i];
    }
    cout<<suma<<endl;
    return 0;
}